Subject: bug#10709: Feature request: vc-hg should activate smerge-mode for conflicts

From: Glenn Morris <[email-masked]>
Date: Tue, 04 Dec 2012 20:53:45 -0500

Stefan Monnier wrote:

>> The detection of a conflict is poor and Needs Work. With bzr we have
>
> Maybe we should ask on a Mercurial list how it can be done (and turn it
> into a feature request if there's no good answer)?

AFAICS they have set their face against it, eg

http://bz.selenic.com/show_bug.cgi?id=2724  # RESOLVED FIXED

I think checking for state = 'edited, plus .orig file, plus conflict
markers is good enough for a start, so I installed that to trunk and we
can see how it works out for people.

BTW, I think this stuff should be abstracted to a general
vc-find-file-hook/after-save-hook that calls vc-BACKEND-conflicted-p.